### Class

# PangoFT2 FontMap

#### Description [src]

    final class PangoFT2.FontMap : PangoFc.FontMap {
      /* No available fields */
    }

The `PangoFT2FontMap` is the `PangoFontMap` implementation for FreeType fonts.

#### Ancestors

- PangoFcFontMap
- PangoFontMap
- GObject

#### Constructors

###### pango_ft2_font_map_new

Create a new `PangoFT2FontMap` object.

Available since: 1.2

#### Instance methods

###### pango_ft2_font_map_create_context

Create a `PangoContext` for the given fontmap.

Available since: 1.2

Deprecated since: 1.22

###### pango_ft2_font_map_set_default_substitute

Sets a function that will be called to do final configuration substitution on a `FcPattern` before it is used to load the font.

Available since: 1.2

Deprecated since: 1.46

###### pango_ft2_font_map_set_resolution

Sets the horizontal and vertical resolutions for the fontmap.

Available since: 1.2

###### pango_ft2_font_map_substitute_changed

Call this function any time the results of the default substitution function set with `pango_ft2_font_map_set_default_substitute()` change.

Available since: 1.2

Deprecated since: 1.46

#### Functions

###### pango_ft2_font_map_for_display

Returns a `PangoFT2FontMap`.